# Zoom Phone - January 17, 2023 ## Added - New **List carrier peering phone numbers** API: - `GET /v2/phone/carrier-peering/numbers` ## Enhancements - New `call_transferring` and `play_recording_beep_tone` request and response fields in User and Site APIs: - `GET /v2/phone/users/{userId}` - `PATCH /v2/phone/users/{userId}` - `GET /v2/phone/sites/{siteId}` - `PATCH /v2/phone/sites/{siteId}` - New `allow_sharing` and `shared_id` fields added to `policy.voicemail_access_members` field in Get a user's profile API - `GET /v2/phone/users/{userId}` - New `voicemail_access_members` field added to Add a user's shared access setting API to allow adding voicemail access members. - `POST /v2/phone/users/{userId}/settings/{settingType}` - Field `voicemail` marked as to be deprecated in a future release in Add a user's shared access setting API. Instead use field `voicemail_access_members`. - `POST /v2/phone/users/{userId}/settings/{settingType}` - New `voicemail_access_members` field added to Update a user's shared access setting API to allow updating existing voicemail access members. - `PATCH /v2/phone/users/{userId}/settings/{settingType}` - Field `voicemail` marked as to be deprecated in a future release in Update a user's shared access setting API. Instead use field `voicemail_access_members`. - `PATCH /v2/phone/users/{userId}/settings/{settingType}` - Field `voice_mail`, `auto_call_recording_access_members` and `ad_hoc_call_recording_access_members` marked as to be deprecated in a future release in Get a user's profile settings API. Instead use Get a user's profile API to fetch this information. - `GET /v2/phone/users/{userId}/settings` - New `caller_id_name` field added to Get Phone Site Details and Update Phone Site Details API. - `GET /v2/phone/site/{siteId}` - `PATCH /v2/phone/site/{siteId}` ## Fixed - Fixed the loss of caller webhook event: - `phone.caller_ended` - Fixed the issue of filtering by time in **Get call queue recordings** API: - `GET /v2/phone/call_queues/{callQueueId}/recordings` - Fixed the issue of call forwarding phone number in **Update a call handling setting** API: - `PATCH /v2/phone/extension/{extensionId}/call_handling/settings/{settingType}` - Fixed the issue of `pin_code` response field in **Get setting template details** API: - `GET /v2/phone/setting_templates/{templateId}` - Fixed the issue of routing rules `priority` in **Directory backup routing rules** APIs: - `GET /v2/phone/routing_rules` - `PATCH /v2/phone/routing_rules` - `GET /v2/phone/routing_rules/{routingRuleId}` - `PATCH /v2/phone/routing_rules/{routingRuleId}` - Fixed the issue of missing SMS Session Data when to get account sessions in **Get account's SMS sessions** API: - `GET /v2/phone/sms/sessions` - Fixed the issue that the error code and message is not detailed in **Download a phone recording transcript** API: - `GET /v2/phone/recording_transcript/download/{recordingId}` - Fixed the issue of the wrong error message when the session is not exist in **Sync SMS by session ID** API: - `GET /v2/phone/sms/sessions/{sessionId}/sync`